How to install older version of iMacros

So after the recent Firefox update, if you go here: https://addons.mozilla.org/en-US/firefox/addon/imacros-for-firefox/versions/

All the older versions of iMacros say they're incompatible, and cannot be installed.

But I have updated Firefox profiles that are running older version of iMacros and they're working fine. So I need to know how can I install an older version of iMacros now?

Thanks